Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util
Class LRU<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<K,V>
                  org.archive.util.LRU<K,V>

Type Parameters:
  `K` - The key type of the LRU
  `V` - The value type of the LRU

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<K,V>

    public class LRU<K,V>

extends java.util.LinkedHashMap<K,V>

A least-recently used cache. As new entries are added to the map, the least-recently accessed entries are removed.

Author:
  pjack
See Also:
  Serialized Form

Constructor Summary
`LRU(int max)` Constructor.

Method Summary
`protected boolean` | `removeEldestEntry(java.util.Map.Entry<K,V> entry)`

Methods inherited from class java.util.LinkedHashMap
`clear, containsValue, get`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### LRU

    public LRU(int max)

  Constructor.

  Parameters:
    `max` - the maximum number of entries to cache

Method Detail

### removeEldestEntry

    protected boolean removeEldestEntry(java.util.Map.Entry<K,V> entry)

  Overrides:
    `removeEldestEntry` in class `java.util.LinkedHashMap<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.